Package net.shibboleth.idp.authn.spnego.impl

# Class GSSAcceptorLoginModule.UsernamePasswordCallbackHandler

java.lang.Object
net.shibboleth.idp.authn.spnego.impl.GSSAcceptorLoginModule.UsernamePasswordCallbackHandler

All Implemented Interfaces:
  `CallbackHandler`

Enclosing class:
  GSSAcceptorLoginModule

private class GSSAcceptorLoginModule.UsernamePasswordCallbackHandler extends Object implements CallbackHandler
A JAAS username and password CallbackHandler.

This is only used in the case that a keytab isn't.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`name`
The name to use.
`private String`
`password`
The password to use.

## Constructor Summary

Constructors
Constructor
Description
`UsernamePasswordCallbackHandler(String theName, String thePassword)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`handle(Callback[] callbacks)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### name

@Nullable private String name
The name to use.

### password

@Nullable private String password
The password to use.

## Constructor Details

### UsernamePasswordCallbackHandler

public UsernamePasswordCallbackHandler(@Nullable String theName, @Nullable String thePassword)
Constructor.

Parameters:
  `theName` - the name to use
  `thePassword` - the password to use

## Method Details

### handle

public void handle(@Nullable Callback[] callbacks) throws IOException, UnsupportedCallbackException

Specified by:
  `handle` in interface `CallbackHandler`
Throws:
  `IOException`
  `UnsupportedCallbackException`